> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create authentication event

> Creates a new user generated complete event.



## OpenAPI

````yaml https://frontendapi.cloud.corbado.io/v2/openapi.yaml post /v2/auth/events
openapi: 3.0.3
info:
  version: 2.0.4
  title: Corbado Frontend API
  description: >-
    Overview of all Corbado Frontend API calls to implement passwordless
    authentication.
  contact:
    name: Corbado team
    email: support@corbado.com
    url: https://www.corbado.com
servers:
  - url: https://{projectId}.frontendapi.corbado.io
    variables:
      projectId:
        description: Your Corbado project ID
        default: pro-000000
security:
  - bearerAuth: []
  - projectID: []
tags:
  - name: Auth
    description: All API calls that are related to an authentication process.
  - name: Configs
    description: All API calls to manage configurations
  - name: Users
    description: All API calls to manage users
  - name: CorbadoConnect
    description: All API calls that are related to a connect process
  - name: OIDC
    description: All API calls that are related to OpenID Connect
  - name: WellKnown
    description: All API calls that are related to WellKnown assets
paths:
  /v2/auth/events:
    post:
      tags:
        - Auth
      summary: Create authentication event
      description: Creates a new user generated complete event.
      operationId: EventCreate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/eventCreateReq'
      responses:
        '204':
          description: tbd
components:
  schemas:
    eventCreateReq:
      type: object
      required:
        - eventType
      properties:
        eventType:
          $ref: '#/components/schemas/passkeyEventType'
        challenge:
          type: string
    passkeyEventType:
      type: string
      enum:
        - login-explicit-abort
        - login-error
        - login-error-untyped
        - login-error-unexpected
        - login-one-tap-switch
        - login-no-credentials
        - user-append-after-cross-platform-blacklisted
        - user-append-after-login-error-blacklisted
        - append-credential-exists
        - append-explicit-abort
        - append-error
        - append-error-unexpected
        - append-learn-more
        - manage-error-unexpected
        - manage-error
        - manage-learn-more
        - manage-credential-exists
        - local-unlock
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        After a user logs in successfully, a session is created and a JWT token
        is returned.

        This token represents the user's authenticated session.

        It must be included in the `Authorization` header as a Bearer token for
        all protected endpoints:


        `Authorization: Bearer <your-token>`


        The server will validate this token to authorize access.
    projectID:
      type: apiKey
      in: header
      name: X-Corbado-ProjectID
      description: |
        Identifies your project context for Corbado.
        Include this in the request headers as:

        `X-Corbado-ProjectID: <your-project-id>`

````